clear all;
close all;
addpath('I:\common\psychofkt');
load('mp_control_results')
symbols='o+*xsd^';
fh1=figure(1);
prect=[1 1 8.7 8.5];
set(gcf,'Units','centimeters','Position',prect,...
    'PaperUnits','centimeters','Paperposition', prect,...
    'PaperOrientation','portrait','color',[1 1 1],'units','centimeters','Inverthardcopy','off');
ploth(1)=axes;

hold on,
% first plot individual data
for sn=1:7,
    symstring=['k' symbols(sn)];
    plot(distances-1+0.25*sn,no_motion_performance(sn,:)*100,symstring,'markersize',4)
    symstring=['g' symbols(sn)];
    plot(distances-1+0.25*sn,motion_performance(sn,:)*100,symstring,'markersize',4)
end


set(ploth(1),'fontsize',10,'units','centimeters','position',[1.3 1.1 7 6]);
set(gca,'xlim',[10 75],'xtick',10:10:70,'ylim',[35 105],'ytick',(40:10:100));
ylabel('Performance (% correct)');
xlabel('Source-distance difference (cm)');
th=title('Source-distance discrimination')
thp=get(th,'position');
thp(2)=thp(2)+30;
set(th,'position',thp)

% calculate average psychometric functions and fit sigmoid
no_motion_mean=squeeze(mean(no_motion_performance))'*100;
global data;
data=[distances' no_motion_mean];
lambda=[40,50,40,0.1];
options=zeros(1,14);
options(2)=0.1;
options(3)=0.1;
options(14)=32000;
l=fminsearch('psychofit',lambda,options);
fitfkt=psycho(l);
ph=plot(distances,fitfkt,'k-');
set(ph,'linewidth',2)


motion_mean=squeeze(mean(motion_performance))'*100;
data=[distances' motion_mean];
lambda=[40,50,40,0.1];
options=zeros(1,14);
options(2)=0.1;
options(3)=0.1;
options(14)=32000;
l=fminsearch('psychofit',lambda,options);
fitfkt=psycho(l);
ph=plot(distances,fitfkt,'g-');
set(ph,'linewidth',2)

legend('no motion (NM)','active motion (AM)','location','northoutside')
legend('boxoff')
print(fh1,'-dpdf','Genzel_etal_mp_ce_fig1');