clear all;
close all;

load(['MP_data_prep.mat']);

sn=8;
pcs=squeeze(all_proc(sn,:,:));
psycho_x=squeeze(fitx(sn,:,:))'*100;
psycho_y=squeeze(fity(sn,:,:))'*100;

sdds=StimLevels*100;

fh1=figure(1);
prect=[1 1 9 7.5];
set(gcf,'Units','centimeters','Position',prect,...
    'PaperUnits','centimeters','Paperposition', prect,...
    'PaperOrientation','portrait','color',[1 1 1],'units','centimeters','Inverthardcopy','off','Papersize',[prect(3)+1 prect(4)+1]);

ph=plot(sdds,pcs(2:end,:))
set(ph(1),'Color','g','LineStyle','none','Marker','*','MarkerSize',8);
set(ph(2),'Color','b','LineStyle','none','Marker','*','MarkerSize',8);
set(ph(3),'Color','m','LineStyle','none','Marker','*','MarkerSize',8);
hold on,
ph=plot(psycho_x,psycho_y);
set(ph(1),'Color','g','LineStyle','-','Marker','none','linewidth',2);
set(ph(2),'Color','b','LineStyle','-','Marker','none','linewidth',2);
set(ph(3),'Color','m','LineStyle','-','Marker','none','linewidth',2);

xs=[min(sdds) max(sdds)];
ys=[75 75];
lh=line(xs,ys);
set(lh,'Linestyle','--','Color','k')

xs=sdds(end);
ys=pcs(1,1);
ph=plot(xs,ys);
set(ph,'Color','k','LineStyle','none','Marker','*','MarkerSize',8);

set(gca,'xlim',[-10 75],'xtick',0:10:70,'ylim',[35 105],'ytick',(40:10:100));
ylabel('Performance (% correct)');
xlabel('Source-distance difference (cm)');
title('Exemplary performance')
lh=legend('AM','PM','SSM','location','SouthEast');
set(lh,'box','off','fontsize',8);
print(fh1,'-dpdf','-r300','Genzel_etal_mp_fig3_r2');