clear all;
close all;
load('MP_data_prep');
thrl=thrl(:,2:4);
thrlall=min(thrl,0.8)*100;   % limit to 80 cm

fh=figure(1);
prect=[1 1 16 7];
set(gcf,'Units','centimeters','Position',prect,...
    'PaperUnits','centimeters','Paperposition', prect,...
    'PaperOrientation','portrait','color',[1 1 1],'units',...
    'centimeters','Inverthardcopy','off','Papersize',[prect(3) prect(4)+2]);

ploth(1)=axes;
set(ploth(1),'fontsize',8,'units','centimeters','position',[1.3 1.1 6 5]);
ploth(2)=axes;
set(ploth(2),'fontsize',8,'units','centimeters','position',[8 1.1 6 5]);

axes(ploth(1));
bar(thrlall','grouped')
set(gca,'ylim',[-10 90],'ytick',0:10:80,'xticklabel',{'AM';'PM';'SSM'})
ylabel('Just-noticeable distance difference (cm)','fontsize',10);
title(['Individual distance discrimination' char(10) 'thresholds'],'fontsize',10)
th=text(0.5,80,'A');
set(th,'fontsize',18)

axes(ploth(2));
ph=boxplot(thrlall,'whisker',1.5);
xlabel('Motion condition','fontsize',10);
title('Median thresholds','fontsize',10)
set(gca,'ylim',[-10 90],'ytick',0:10:80,'xtick',1:3, 'xticklabel',{'AM';'PM';'SSM'},'yticklabel','','position',[8 1.1 6 5]);
th=text(0.9,80,'B');
set(th,'fontsize',18)

xs=[1.2 1.8];
ys=[5 5];
lh=line(xs,ys);
set(lh,'linewidth',1.5,'color','k')
th=text(1.45,9,'*');

xs=[2.2 2.8];
ys=[5 5];
lh=line(xs,ys);
set(lh,'linewidth',1.5,'color','k')
th=text(2.4,9,'**');

xs=[1.2 2.8];
ys=[-5 -5];
lh=line(xs,ys);
set(lh,'linewidth',1.5,'color','k')
th=text(1.9,-1,'**');
print(fh,'-dpdf','-r300','Genzel_etal_mp_r2_fig4');

[ps(1,1),h]=signrank(thrlall(:,1),thrlall(:,2));
[ps(2,1),h,stats]=signrank(thrlall(:,2),thrlall(:,3));
[ps(3,1),h,stats]=signrank(thrlall(:,1),thrlall(:,3));

[ps(1,2),h]=signrank(thrlall([1:5 7:12],1),thrlall([1:5 7:12],2));
[ps(2,2),h,stats]=signrank(thrlall([1:5 7:12],2),thrlall([1:5 7:12],3));
[ps(3,2),h,stats]=signrank(thrlall([1:5 7:12],1),thrlall([1:5 7:12],3));
