clear all;
close all;
fh1=figure(1);
prect=[1 1 6 7.5];
set(gcf,'Units','centimeters','Position',prect,...
    'PaperUnits','centimeters','Paperposition', prect,...
    'PaperOrientation','portrait','color',[1 1 1],'units','centimeters','Inverthardcopy','off');
ploth(1)=axes;
set(ploth(1),'fontsize',10,'units','centimeters','position',[1.3 4.4 4.5 2.6]);
ploth(2)=axes;
set(ploth(2),'fontsize',10,'units','centimeters','position',[1.3 1.1 4.5 2.6]);

panels={'A';'B'};
color={'g-';'b-'};
titles={'Horizontal Motion';'Vertical Motion'};
add=[0 0.8 1.6];
titadd=[0 0.02 -0.1 0];

load('Artificial_Move.mat');
movevec=resample(movevec,20,120);
movey=resample(movey,20,120);
time=linspace(0,3.825,length(movevec));

idealvel=diff(movevec')./diff(time');
for cond=1:2
    if cond==1,
        load('Mean_All_VP_tracks.mat');
    else
        load('Mean_All_VO_tracks.mat');
    end
    track_t_pl(cond,:)=track_t(1,:);
    track_x_pl(cond,:)=track_x(1,:);
end
for cond=1:2
    if cond==1,
        load('Mean_All_VP_tracks.mat');
    else
        load('Mean_All_VO_tracks.mat');
    end
    vel = diff(track_x')./diff(track_t');
    real=[];
    ideal=[];
    winsize=5;
    for i=1:1:size(vel,1)-winsize
        real(i,:) = mean(vel(i:i+winsize,:),1);
        ideal(i,:)=mean(idealvel(i:i+winsize));
    end
    t=linspace(0,mean(max(track_t')),length(real));
    
    if cond==1,
        axes(ploth(1)),
        plot(track_t_pl(1,:)',track_x_pl(1,:)','g-',track_t_pl(2,:)',track_x_pl(2,:)','b-');
        set(gca,'box','off')
        lh=legend('AM','PM','location','SouthEast');
        set(lh,'fontsize',10,'box','off')
    end
    for figs=1:2,
        axes(ploth(figs)),
        hold on;
        if figs==1,
            plot(track_t',track_x',color{cond});
            set(gca,'xticklabel','');
            ylabel('Position (cm)');
            set(gca,'ylim',[-30 30],'ytick',(-20:10:20),'xlim',[0 4],'xtick',(0:1:4));
            th=text(3.5,25,panels{figs});
        else
            plot(track_t',track_y',color{cond});
            xlabel('Time (s)');
            ylabel('Position (cm)');
            set(gca,'ylim',[-30 30],'ytick',(-20:10:20),'xlim',[0 4],'xtick',(0:1:4));
            th=text(3.5,25,panels{figs});
        end
        set(th,'fontsize',12);
        th=title(titles{figs});
            thp=get(th,'position');
        if figs==2,
            thp(2)=thp(2)-1;
        else
            thp(2)=thp(2)-3;
        end
            set(th,'position',thp);
    end
end

%print(fh1,'-dtiff','-r300','Genzel_etal_mp_supporting_fig1');












